stages:
- prepare
- test
- toolchain image
- xcode images
- runner images
- brew images
- release

include:
- template: Workflows/MergeRequest-Pipelines.gitlab-ci.yml
- local: /.gitlab/ci/_rules.gitlab-ci.yml
- local: /.gitlab/ci/_common.gitlab-ci.yml
- local: /.gitlab/ci/prepare.gitlab-ci.yml
- local: /.gitlab/ci/test.gitlab-ci.yml
- local: /.gitlab/ci/cleanup.gitlab-ci.yml
- local: /.gitlab/ci/image.toolchain.gitlab-ci.yml
- local: /.gitlab/ci/image.xcode.gitlab-ci.yml
- local: /.gitlab/ci/image.runner.gitlab-ci.yml
- local: /.gitlab/ci/image.brew.gitlab-ci.yml
- local: /.gitlab/ci/release.gitlab-ci.yml
